@import "../variable";

/** Sizing */

/* Width */
@each $v in (50, 100) {
	.pw-w-#{$v} {
		width: #{$v}#{"%"};
	}
}

@each $v in (50, 80, 100) {
	.pw-w-#{$v}vw {
		width: #{$v}vw;
	}
}


@for $de from 1 through 12 {
	@for $nu from 1 through $de {
		.pw-w-#{$nu}-#{$de} {
			width: calc(100% / #{$de} * #{$nu});
		}
	}
}

@media screen and (max-width: #{$sp}) {
	@for $de from 1 through 6 {
		@for $nu from 1 through $de {
			.pw-sp-w-#{$nu}-#{$de} {
				width: calc(100% / #{$de} * #{$nu});
			}
		}
	}
}

/* height */
@each $v in (50, 100) {
	.pw-h-#{$v} {
		height: #{$v}#{"%"};
	}
}

@each $v in (50, 80, 100) {
	.pw-h-#{$v}vh {
		height: #{$v}vh;
	}
}
